1 2 Previous Next 24 Replies Latest reply on Nov 5, 2013 5:37 AM by Plamen

    Conversion fails with kernel error.

    dalecexelate Lurker

      Hello,

       

      In trying to do a P2V conversion I am getting a very weird kernel error. I am using the 5.1 standalone converter. The error is:

       

      FAILED: An error occurred during the conversion: ' * got kernel major revision as ERROR:
      kernel version has to be in format 2.6.*, version 2.6.32-358.6.1.el6.x86_64 is not supported (return code 1)'

       

      I have searched and found no information on this error. I have added a screenshot, any help would be appreciated.

       

      Thanks

        • 1. Re: Conversion fails with kernel error.
          CarelvanHeerden Lurker

          I had the exact same problem last night, just on a different kernel version.

           

          From the log file:

          2013-05-08T18:34:15.288+02:00 [04496 info 'Default'] [task,379] [task-5] -- ERROR -- Convert: converter.fault.CloneFault

          --> (converter.fault.CloneFault) {

          -->    dynamicType = <unset>,

          -->    faultCause = (vmodl.MethodFault) null,

          -->    description = " * got kernel major revision as

          --> ERROR: kernel version has to be in format 2.6.*, version 2.6.18-194.8.1.el5 is not supported

          -->  (return code 1)",

          -->    msg = "",

          --> }

           

          Running Vmware VCenter Converter  Standalone 5.1 build 1087880.

           

          Linux Server:

          [root@SLAVE1 ~]# uname -a

          Linux SLAVE1 2.6.18-308.1.1.el5 #1 SMP Wed Mar 7 04:16:51 EST 2012 x86_64 x86_64 x86_64 GNU/Linux

          [root@SLAVE1 ~]# cat /etc/redhat-release

          CentOS release 5.8 (Final)

           

           

          Any ideas?

          • 2. Re: Conversion fails with kernel error.
            dalecexelate Lurker

            I downgraded to version 5.0.1 and all is well. Obviously a bug in the latest version of the standalone converter.

             

            Thanks

            • 3. Re: Conversion fails with kernel error.
              scrumi Lurker

              I'm having the same issue.  Unfortunately downgrading to 5.0.1 didn't help me that version didn't properly recognize the source partitions.  Not really sure what to do here.  The odd thing is that machine will boot once it fails, but when you try to login it will kick me right back out.

              • 4. Re: Conversion fails with kernel error.
                dalecexelate Lurker

                I also had that issue (which is why i upgraded originally). That is fixed by running the following...

                 

                yum remove lvm2

                yum remove lvm2-libs

                 

                Then I grabbed the lvm2 rpms for version 2.02.87

                 

                rpm -ivh lvm2-libs-2.02.87-6.el6.x86_64.rpm

                rpm -ivh lvm2-2.02.87-6.el6.x86_64.rpm

                 

                It works fine after that, and when done just run yum update lvm2 to go back to the latest lvm2. Found this solution after looking all over the web.

                • 5. Re: Conversion fails with kernel error.
                  scrumi Lurker

                  oh so close.  I made it to the last step and this:

                   

                  rpm -ivh lvm2-2.02.87-6.el6.x86_64.rpm

                  warning: lvm2-2.02.87-6.el6.x86_64.rpm: Header V4 DSA/SHA1 Signature, key ID 192a7d7d: NOKEY

                  error: Failed dependencies:

                          lvm2 < 2.02.97-2 conflicts with initscripts-9.03.38-1.el6.centos.1.x86_64

                  • 6. Re: Conversion fails with kernel error.
                    dalecexelate Lurker

                    I have initscripts-9.03.31-2.el6.centos.1.x86_64. That's probably why I didn't get that error. I will see if I can dig anything up to help.

                    • 7. Re: Conversion fails with kernel error.
                      scrumi Lurker

                      Ok I made it past that last error with:

                       

                      rpm -ivh lvm2-2.02.87-6.el6.x86_64.rpm --nodeps

                       

                      I'll post what the final result is when I'm done here.

                      • 8. Re: Conversion fails with kernel error.
                        scrumi Lurker

                        Well the machine converted just fine, but when I try to boot it then it fails by not being able to mount critical paths.  I've attached an image.  This is a little beyond me, but I'm guessing it has something to do with LVM, and not correctly interpreting the volumes.Screen Shot 2013-05-09 at 4.41.53 PM.png

                        • 9. Re: Conversion fails with kernel error.
                          dalecexelate Lurker

                          Sorry for the late reply. I fixed that by changing the drives from lvm to basic under advanced in the conversion.

                           

                          Thanks

                          • 10. Re: Conversion fails with kernel error.
                            kvman Lurker

                            i downgraded to converter 5.0 and choose virtual machine version 7 and the conversion works fine. but now i'm having trouble when the VM starts got the message "kernel panic"

                             

                            any ideas

                            • 11. Re: Conversion fails with kernel error.
                              kvman Lurker

                              I fixed that by changing the drives from lvm to basic under advanced in the conversion. thanks to dalecexelate

                              • 12. Re: Conversion fails with kernel error.
                                fvaliente Lurker

                                Hello, y have the same problem with a CentOS and Converter 5.1, error: version 2.6.18-238.12.1.el5 is not supported (return code 1)

                                 

                                So, in resume after all the posts:

                                Step 1 on the source machine:

                                yum remove lvm2

                                yum remove lvm2-libs

                                 

                                Then I grabbed the lvm2 rpms for version 2.02.87

                                 

                                rpm -ivh lvm2-libs-2.02.87-6.el6.x86_64.rpm

                                rpm -ivh lvm2-2.02.87-6.el6.x86_64.rpm


                                Step 2: Remove Converter 5.1 and install 5.0.1

                                 

                                Step 3: Convert using virtual machive version 7 and: "changing the drives from lvm to basic under advanced in the conversion",Y can´t find this option (help me), only can change the controller type LSI SAS, etc, etc.

                                 

                                Final:  run yum update lvm2 to go back to the latest lvm2 and install VMware Tools.


                                Thats is the correct procedure?


                                Tks all

                                • 13. Re: Conversion fails with kernel error.
                                  tommylwlxx Lurker

                                  For your information..

                                   

                                  My source is

                                  [root@localhost ~]# uname -a

                                  Linux localhost.localdomain 2.6.32-358.el6.x86_64 #1 SMP Fri Feb 22 00:31:26 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

                                  [root@localhost ~]# cat /etc/issue

                                  CentOS release 6.4 (Final)

                                  Kernel \r on an \m

                                   

                                  by using converter standalone 5.1, it fail with the

                                  FAILED: An error occurred during the conversion: ' * got kernel major revision as ERROR:

                                  kernel version has to be in format 2.6.*, version 2.6.32-358.6.1.el6.x86_64 is not supported (return code 1)'


                                  Then i downgrade the converter to 5.0.1, it success without error.

                                  There is no need to do any rpm remove.


                                  • 14. Re: Conversion fails with kernel error.
                                    cjpike Lurker

                                    Has anyone had any luck with getting this to work? I am having the same issues using CentOS 6.4 and have tried both 5.01 and 5.1 with no luck.

                                    1 2 Previous Next